{                           K A M - - C A R

    A keyboard terminal program for use with the Kantronics KAM (tm) all
    mode interface in the Cw Ascii Rtty modes.  This program is the  pro-
    duct of W1HKJ, suggestions for improvements are welcomed and should
    be sent to the below address.

    (c) Copyright  Dave Freese, W 1 H K J
                   c/o Clermont Computer Consultants
                   29 N. Ravenwood Drive
                   Cape May Court House, NJ  08210
                   (609) 625 0076
}
program KAM;

{$R-}    {Range checking off}
{$N-}    {No numeric coprocessor}

Uses
  Crt,
  Dos;

procedure chk_kbd; forward;
procedure sho_status; forward;
procedure halt_xmt; forward;

{$I KAM-TYP.PAS}
{$I KAM-CON.PAS}
{$I KAM-VAR.PAS}
{$I KAM-CLR.PAS}
{$I KAM-FRM.PAS}
{$I KAM-DOS.PAS}
{$I KAM-IO.PAS}
{$I KAM-VID.PAS}
{$I KAM-AUX.PAS}
{$I KAM-LOG.PAS}
{$I KAM-HLP.PAS}
{$I KAM-XMT.PAS}
{$I KAM-RCV.PAS}
{$I KAM-SET.PAS}
{$I KAM-KBD.PAS}

begin
  check_video;
  CheckBreak := false;
  save_entry_screen;
  initialize;
  clear_screen;
  repeat
    disp_time;
    if (auto_switch = TRUE) AND (inp_ptr <> out_ptr) then state := transmit;
    case state of
      transmit : xmtg;
      receive  : rcvg;
    end;
    chk_kbd;
  until quit_flag = TRUE;
  update_log;
  reset_date_time;
  reset_kam;
  restore_entry_screen;
end.
