var
   state : machine_state;
   mode  : kam_mode;

   capture : boolean;
   capture_file : file;
   capture_file_name : file_type;
   capture_pointer : integer;
   capture_buffer : array[0..2047] of char;

   xmt_wpm, rcv_wpm : str2;

   cw_off_delay,
   xmt_on_delay,
   xmt_off_delay,
   xmt_time_out,
   baud,
   shift,
   xmt_port,
   a_hold, b_hold,
   inp_ptr, out_ptr,
   xout, yout, xkbd, ykbd,
   index, nbr,
   xin, yin,
   rcv_bottom,
   curs_x, curs_y,
   int_wpm,
   kam_baud_rate,
   status_line,
   inp_start_line,
   inp_end_line,
   aux_line,
   out_start_line,
   out_end_line,
   lead_attr           : integer;

   xmt_enabled,
   xmt_ON,
   auto_switch,
   rcv_interrupt,
   send_interrupt,
   invert,
   quit_flag,
   stop_flag,
   pause_flag,
   viewing_help,
   rcv_flag : boolean;

   key, qkey,
   out_chr,
   msg_nbr,
   last_char_sent : char;
   kbd_buffer : array[0..buf_size] of char;

   logfile : text;
   msg : array[0..9] of msg_type;
   msg_file_name,
   msg_file_0     : file_type;
   logbook : array[1..100] of log_type;
   qso_nbr,
   time_zone : integer;
   rcv_buffer : array[0..$7FF] of char;
   rcv_cnt : integer;


   image,
   screen1,
   param_scr,
   help_scr,
   qsig_scr,
   rst_scr   : screen;
   mono_screen : screen absolute $0B000:$0000;
   color_screen : screen absolute $0B800:$0000;
   attr_pos : integer;
   vid_type : integer;

   b_clr : array[0..5] of integer;
   f_clr : array[0..5] of integer;

   hour, min, year, month, day : integer;

   border,
   old_border,
   xmt_attrib,
   rcv_attrib,
   status_attrib,
   prompt_attrib,
   aux_attrib,
   help_attrib: byte;

   old_time : string[5];

   cw_log_file,
   rtty_log_file,
   ascii_log_file  : file_type;
